Bug 248293 - /sbin/mkfs.minix is missing
/sbin/mkfs.minix is missing
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
new
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-15 08:05 EDT by Gratien D'haese
Modified: 2008-05-17 08:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-17 08:57:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gratien D'haese 2007-07-15 08:05:47 EDT
Description of problem: /sbin/mkfs.minix is missing in util-linux


Version-Release number of selected component (if applicable): fc7
util-linux-2.13-0.51.fc7

How reproducible:
$ whereis mkfs
mkfs: /sbin/mkfs.ext3 /sbin/mkfs.msdos /sbin/mkfs.cramfs /sbin/mkfs.vfat
/sbin/mkfs.ext2 /sbin/mkfs.ntfs /sbin/mkfs /usr/share/man/man8/mkfs.8.gz

$ rpm -ql util-linux-2.13-0.51.fc7 | grep mkfs
/sbin/mkfs
/sbin/mkfs.cramfs
/usr/share/man/man8/mkfs.8.gz


Steps to Reproduce:
1. executable is not there on fc7 (nor on the DVD)
2. is mkfs.minix part of an unsupported rpm?
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ignacio Vazquez-Abrams 2007-07-15 08:38:08 EDT
They're erased after having been built. Can't we just let them die?
Comment 2 Karel Zak 2007-08-02 07:01:20 EDT
Yes, we don't distribute everything from upstream tarball in Fedora/RHEL rpms.
Why do you need mkfs.minix?
Comment 3 Gratien D'haese 2007-08-02 11:53:54 EDT
ext2 has been removed from the kernel as a build-in (it became now a loadable
module) and the mkcdrec project (http://mkcdrec.ota.be) needs a build-in
filesystem (ext2 or minix) to load the initial ramdisk.
However, minix is still available in the linux kernel, but the needed file
system tools seems to be removed from fedore core. SuSe 10 did the same with
ext2 file system, but they kept the minix tools available.
That was the reason of my request.

Thanks for your interest.
Comment 4 Gratien D'haese 2007-09-05 11:54:39 EDT
Hi,

just to update: will use ramdisk so I have no need for minix filesystem anymore.
You may close this request from my point of view.

thanks for your interest.
Gratien
Comment 5 Bug Zapper 2008-05-14 09:33:03 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Peter van Egdom 2008-05-17 08:57:27 EDT
Closing bug as per comment #4.

Note You need to log in before you can comment on or make changes to this bug.